import { type Container, type IDelta, type IMovePathGenerator, type Particle, type RangeValue, Vector } from "@tsparticles/engine";
interface ZigZagParticle extends Particle {
    zigzag?: ZigZagData;
}
interface ZigZagData {
    counter: number;
    waveHeight: number;
    waveLength: number;
}
interface IZigZagOptions {
    waveHeight: RangeValue;
    waveLength: RangeValue;
}
export declare class ZigZagPathGenerator implements IMovePathGenerator {
    options: IZigZagOptions;
    constructor();
    generate(particle: ZigZagParticle, delta: IDelta): Vector;
    init(container: Container): void;
    reset(): void;
    update(): void;
}
export {};
