(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./ZigZagPathGenerator.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.zigZagPathName = void 0;
    exports.loadZigZagPath = loadZigZagPath;
    const engine_1 = require("@tsparticles/engine");
    const ZigZagPathGenerator_js_1 = require("./ZigZagPathGenerator.js");
    exports.zigZagPathName = "zigZagPathGenerator";
    async function loadZigZagPath(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addPathGenerator(exports.zigZagPathName, new ZigZagPathGenerator_js_1.ZigZagPathGenerator(), refresh);
    }
});
